// Garden Gnome Software - Skin
// Pano2VR 3.1.3/1941
// Filename: ipad_tour.ggsk
// Generated Thu Feb 23 17:13:16 2012

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._buttons_container=document.createElement('div');
		this._buttons_container.ggId='buttons_container'
		this._buttons_container.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._buttons_container.ggVisible=true;
		this._buttons_container.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-125 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-50 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -125px;';
		hs+='top:  -50px;';
		hs+='width: 250px;';
		hs+='height: 33px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._buttons_container.setAttribute('style',hs);
		this._button_zoom_in=document.createElement('div');
		this._button_zoom_in.ggId='button_zoom_in'
		this._button_zoom_in.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoom_in.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_zoom_in.setAttribute('style',hs);
		this._button_zoom_in__img=document.createElement('img');
		this._button_zoom_in__img.setAttribute('src',basePath + 'images/button_zoom_in.png');
		this._button_zoom_in__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;');
		this._button_zoom_in.appendChild(this._button_zoom_in__img);
		this._button_zoom_in.onmouseout=function () {
			me.elementMouseDown['button_zoom_in']=false;
		}
		this._button_zoom_in.onmousedown=function () {
			me.elementMouseDown['button_zoom_in']=true;
		}
		this._button_zoom_in.onmouseup=function () {
			me.elementMouseDown['button_zoom_in']=false;
		}
		this._button_zoom_in.ontouchend=function () {
			me.elementMouseDown['button_zoom_in']=false;
		}
		this._buttons_container.appendChild(this._button_zoom_in);
		this._button_zoom_out=document.createElement('div');
		this._button_zoom_out.ggId='button_zoom_out'
		this._button_zoom_out.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_zoom_out.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 50px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_zoom_out.setAttribute('style',hs);
		this._button_zoom_out__img=document.createElement('img');
		this._button_zoom_out__img.setAttribute('src',basePath + 'images/button_zoom_out.png');
		this._button_zoom_out__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;');
		this._button_zoom_out.appendChild(this._button_zoom_out__img);
		this._button_zoom_out.onmouseout=function () {
			me.elementMouseDown['button_zoom_out']=false;
		}
		this._button_zoom_out.onmousedown=function () {
			me.elementMouseDown['button_zoom_out']=true;
		}
		this._button_zoom_out.onmouseup=function () {
			me.elementMouseDown['button_zoom_out']=false;
		}
		this._button_zoom_out.ontouchend=function () {
			me.elementMouseDown['button_zoom_out']=false;
		}
		this._buttons_container.appendChild(this._button_zoom_out);
		this._button_home=document.createElement('div');
		this._button_home.ggId='button_home'
		this._button_home.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_home.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 100px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_home.setAttribute('style',hs);
		this._button_home__img=document.createElement('img');
		this._button_home__img.setAttribute('src',basePath + 'images/button_home.png');
		this._button_home__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;');
		this._button_home.appendChild(this._button_home__img);
		this._button_home.onclick=function () {
			me.player.moveToDefaultView(10);
		}
		this._buttons_container.appendChild(this._button_home);
		this._button_hand=document.createElement('div');
		this._button_hand.ggId='button_hand'
		this._button_hand.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_hand.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 150px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_hand.setAttribute('style',hs);
		this._button_hand__img=document.createElement('img');
		this._button_hand__img.setAttribute('src',basePath + 'images/button_hand.png');
		this._button_hand__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;');
		this._button_hand.appendChild(this._button_hand__img);
		this._button_hand.onclick=function () {
			me.player.changeViewMode(2);
		}
		this._buttons_container.appendChild(this._button_hand);
		this._button_map=document.createElement('div');
		this._button_map.ggId='button_map'
		this._button_map.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._button_map.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 200px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._button_map.setAttribute('style',hs);
		this._button_map__img=document.createElement('img');
		this._button_map__img.setAttribute('src',basePath + 'images/button_map.png');
		this._button_map__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;');
		this._button_map.appendChild(this._button_map__img);
		this._button_map.onclick=function () {
			flag=me._nav_map.ggPositonActive;
			if (me.player.transitionsDisabled) {
				me._nav_map.style[domTransition]='none';
			} else {
				me._nav_map.style[domTransition]='all 1000ms ease-out 0ms';
			}
			if (flag) {
				me._nav_map.ggParameter.rx=0;me._nav_map.ggParameter.ry=0;
				me._nav_map.style[domTransform]=parameterToTransform(me._nav_map.ggParameter);
			} else {
				me._nav_map.ggParameter.rx=-240;me._nav_map.ggParameter.ry=0;
				me._nav_map.style[domTransform]=parameterToTransform(me._nav_map.ggParameter);
			}
			me._nav_map.ggPositonActive=!flag;
		}
		this._buttons_container.appendChild(this._button_map);
		this.divSkin.appendChild(this._buttons_container);
		this._nav_map=document.createElement('div');
		this._nav_map.ggId='nav_map'
		this._nav_map.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._nav_map.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  10px;';
		hs+='width: 230px;';
		hs+='height: 317px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._nav_map.setAttribute('style',hs);
		this._map=document.createElement('div');
		this._map.ggId='map'
		this._map.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._map.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 230px;';
		hs+='height: 317px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._map.setAttribute('style',hs);
		this._map__img=document.createElement('img');
		this._map__img.setAttribute('src',basePath + 'images/map.png');
		this._map__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._map__img);
		this._map.appendChild(this._map__img);
		this._mhs_01=document.createElement('div');
		this._mhs_01.ggId='mhs_01'
		this._mhs_01.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_01.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 75px;';
		hs+='top:  258px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._mhs_01.setAttribute('style',hs);
		this._mhs_01__img=document.createElement('img');
		this._mhs_01__img.setAttribute('src',basePath + 'images/mhs_01.png');
		this._mhs_01__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_01.appendChild(this._mhs_01__img);
		this._mhs_01.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=75;me._mhs_loc.ggParameter.ry=258;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="42.2";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
		}
		this._mhs_01.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=0;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_01);
		this._mhs_01_u=document.createElement('div');
		this._mhs_01_u.ggId='mhs_01_u'
		this._mhs_01_u.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_01_u.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 75px;';
		hs+='top:  258px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._mhs_01_u.setAttribute('style',hs);
		this._mhs_01_u__img=document.createElement('img');
		this._mhs_01_u__img.setAttribute('src',basePath + 'images/mhs_01_u.png');
		this._mhs_01_u__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_01_u.appendChild(this._mhs_01_u__img);
		this._mhs_01_u.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=75;me._mhs_loc.ggParameter.ry=258;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="42.2";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
			me.player.openNext("Park_01_out.swf","");
		}
		this._mhs_01_u.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=0;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_01_u);
		this._mhs_02=document.createElement('div');
		this._mhs_02.ggId='mhs_02'
		this._mhs_02.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_02.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 32px;';
		hs+='top:  257px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._mhs_02.setAttribute('style',hs);
		this._mhs_02__img=document.createElement('img');
		this._mhs_02__img.setAttribute('src',basePath + 'images/mhs_02.png');
		this._mhs_02__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_02.appendChild(this._mhs_02__img);
		this._mhs_02.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=32;me._mhs_loc.ggParameter.ry=257;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="5.1";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
		}
		this._mhs_02.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=-104;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_02);
		this._mhs_02_u=document.createElement('div');
		this._mhs_02_u.ggId='mhs_02_u'
		this._mhs_02_u.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_02_u.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 32px;';
		hs+='top:  257px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._mhs_02_u.setAttribute('style',hs);
		this._mhs_02_u__img=document.createElement('img');
		this._mhs_02_u__img.setAttribute('src',basePath + 'images/mhs_02_u.png');
		this._mhs_02_u__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_02_u.appendChild(this._mhs_02_u__img);
		this._mhs_02_u.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=32;me._mhs_loc.ggParameter.ry=257;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="5.1";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
			me.player.openUrl("Park_02_out.swf","");
		}
		this._mhs_02_u.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=-104;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_02_u);
		this._mhs_03=document.createElement('div');
		this._mhs_03.ggId='mhs_03'
		this._mhs_03.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_03.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 52px;';
		hs+='top:  191px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._mhs_03.setAttribute('style',hs);
		this._mhs_03__img=document.createElement('img');
		this._mhs_03__img.setAttribute('src',basePath + 'images/mhs_03.png');
		this._mhs_03__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_03.appendChild(this._mhs_03__img);
		this._mhs_03.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=52;me._mhs_loc.ggParameter.ry=191;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="46.6";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
		}
		this._mhs_03.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=-208;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_03);
		this._mhs_03_u=document.createElement('div');
		this._mhs_03_u.ggId='mhs_03_u'
		this._mhs_03_u.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_03_u.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 52px;';
		hs+='top:  191px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._mhs_03_u.setAttribute('style',hs);
		this._mhs_03_u__img=document.createElement('img');
		this._mhs_03_u__img.setAttribute('src',basePath + 'images/mhs_03_u.png');
		this._mhs_03_u__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_03_u.appendChild(this._mhs_03_u__img);
		this._mhs_03_u.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=52;me._mhs_loc.ggParameter.ry=191;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="46.6";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
			me.player.openNext("Park_03_out.swf","");
		}
		this._mhs_03_u.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=-208;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_03_u);
		this._mhs_04=document.createElement('div');
		this._mhs_04.ggId='mhs_04'
		this._mhs_04.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_04.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 181px;';
		hs+='top:  65px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._mhs_04.setAttribute('style',hs);
		this._mhs_04__img=document.createElement('img');
		this._mhs_04__img.setAttribute('src',basePath + 'images/mhs_04.png');
		this._mhs_04__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_04.appendChild(this._mhs_04__img);
		this._mhs_04.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=181;me._mhs_loc.ggParameter.ry=65;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="-126.2";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
		}
		this._mhs_04.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=-312;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_04);
		this._mhs_04_u=document.createElement('div');
		this._mhs_04_u.ggId='mhs_04_u'
		this._mhs_04_u.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_04_u.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 181px;';
		hs+='top:  65px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._mhs_04_u.setAttribute('style',hs);
		this._mhs_04_u__img=document.createElement('img');
		this._mhs_04_u__img.setAttribute('src',basePath + 'images/mhs_04_u.png');
		this._mhs_04_u__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_04_u.appendChild(this._mhs_04_u__img);
		this._mhs_04_u.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=181;me._mhs_loc.ggParameter.ry=65;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="-126.2";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
			me.player.openNext("Park_04_out.swf","");
		}
		this._mhs_04_u.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=-312;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_04_u);
		this._mhs_05=document.createElement('div');
		this._mhs_05.ggId='mhs_05'
		this._mhs_05.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_05.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 179px;';
		hs+='top:  158px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._mhs_05.setAttribute('style',hs);
		this._mhs_05__img=document.createElement('img');
		this._mhs_05__img.setAttribute('src',basePath + 'images/mhs_05.png');
		this._mhs_05__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_05.appendChild(this._mhs_05__img);
		this._mhs_05.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=179;me._mhs_loc.ggParameter.ry=158;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="-180";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
		}
		this._mhs_05.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=-416;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_05);
		this._mhs_05_u=document.createElement('div');
		this._mhs_05_u.ggId='mhs_05_u'
		this._mhs_05_u.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_05_u.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 179px;';
		hs+='top:  158px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._mhs_05_u.setAttribute('style',hs);
		this._mhs_05_u__img=document.createElement('img');
		this._mhs_05_u__img.setAttribute('src',basePath + 'images/mhs_05_u.png');
		this._mhs_05_u__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_05_u.appendChild(this._mhs_05_u__img);
		this._mhs_05_u.onclick=function () {
			me._mhs_loc.style[domTransition]='none';
			me._mhs_loc.ggParameter.rx=179;me._mhs_loc.ggParameter.ry=158;
			me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
			me._compass.style[domTransition]='none';
			me._compass.ggParameter.a="-180";
			me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
			me.player.openNext("Park_05_out.swf","");
		}
		this._mhs_05_u.onmouseover=function () {
			me._thumbnails.style[domTransition]='none';
			me._thumbnails.ggParameter.rx=-416;me._thumbnails.ggParameter.ry=0;
			me._thumbnails.style[domTransform]=parameterToTransform(me._thumbnails.ggParameter);
		}
		this._map.appendChild(this._mhs_05_u);
		this._mhs_loc=document.createElement('div');
		this._mhs_loc.ggId='mhs_loc'
		this._mhs_loc.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mhs_loc.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._mhs_loc.setAttribute('style',hs);
		this._mhs_loc__img=document.createElement('img');
		this._mhs_loc__img.setAttribute('src',basePath + 'images/mhs_loc.png');
		this._mhs_loc__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._mhs_loc.appendChild(this._mhs_loc__img);
		this._compass=document.createElement('div');
		this._compass.ggId='compass'
		this._compass.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._compass.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 30px;';
		hs+='height: 30px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._compass.setAttribute('style',hs);
		this._compass__img=document.createElement('img');
		this._compass__img.setAttribute('src',basePath + 'images/compass.png');
		this._compass__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 30px;height: 30px;');
		this._compass.appendChild(this._compass__img);
		this._mhs_loc.appendChild(this._compass);
		this._map.appendChild(this._mhs_loc);
		this._nav_map.appendChild(this._map);
		this._container_thumbnails=document.createElement('div');
		this._container_thumbnails.ggId='container_thumbnails'
		this._container_thumbnails.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._container_thumbnails.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 5px;';
		hs+='top:  4px;';
		hs+='width: 104px;';
		hs+='height: 84px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._container_thumbnails.setAttribute('style',hs);
		this._thumb_bg=document.createElement('div');
		this._thumb_bg.ggId='thumb_bg'
		this._thumb_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_bg.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 102px;';
		hs+='height: 82px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #ffffff;';
		hs+='background-color: #ffffff;';
		this._thumb_bg.setAttribute('style',hs);
		this._container_thumbnails.appendChild(this._thumb_bg);
		this._thumbnails=document.createElement('div');
		this._thumbnails.ggId='thumbnails'
		this._thumbnails.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnails.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 2px;';
		hs+='top:  2px;';
		hs+='width: 510px;';
		hs+='height: 80px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._thumbnails.setAttribute('style',hs);
		this._thumb_01=document.createElement('div');
		this._thumb_01.ggId='thumb_01'
		this._thumb_01.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_01.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 100px;';
		hs+='height: 80px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumb_01.setAttribute('style',hs);
		this._thumb_01__img=document.createElement('img');
		this._thumb_01__img.setAttribute('src',basePath + 'images/thumb_01.png');
		this._thumb_01__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._thumb_01__img);
		this._thumb_01.appendChild(this._thumb_01__img);
		this._thumbnails.appendChild(this._thumb_01);
		this._thumb_02=document.createElement('div');
		this._thumb_02.ggId='thumb_02'
		this._thumb_02.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_02.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 104px;';
		hs+='top:  0px;';
		hs+='width: 100px;';
		hs+='height: 80px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumb_02.setAttribute('style',hs);
		this._thumb_02__img=document.createElement('img');
		this._thumb_02__img.setAttribute('src',basePath + 'images/thumb_02.png');
		this._thumb_02__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._thumb_02__img);
		this._thumb_02.appendChild(this._thumb_02__img);
		this._thumbnails.appendChild(this._thumb_02);
		this._thumb_03=document.createElement('div');
		this._thumb_03.ggId='thumb_03'
		this._thumb_03.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_03.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 208px;';
		hs+='top:  0px;';
		hs+='width: 100px;';
		hs+='height: 80px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumb_03.setAttribute('style',hs);
		this._thumb_03__img=document.createElement('img');
		this._thumb_03__img.setAttribute('src',basePath + 'images/thumb_03.png');
		this._thumb_03__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._thumb_03__img);
		this._thumb_03.appendChild(this._thumb_03__img);
		this._thumbnails.appendChild(this._thumb_03);
		this._thumb_04=document.createElement('div');
		this._thumb_04.ggId='thumb_04'
		this._thumb_04.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_04.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 312px;';
		hs+='top:  0px;';
		hs+='width: 100px;';
		hs+='height: 80px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumb_04.setAttribute('style',hs);
		this._thumb_04__img=document.createElement('img');
		this._thumb_04__img.setAttribute('src',basePath + 'images/thumb_04.png');
		this._thumb_04__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._thumb_04__img);
		this._thumb_04.appendChild(this._thumb_04__img);
		this._thumbnails.appendChild(this._thumb_04);
		this._thumb_05=document.createElement('div');
		this._thumb_05.ggId='thumb_05'
		this._thumb_05.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumb_05.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 416px;';
		hs+='top:  0px;';
		hs+='width: 100px;';
		hs+='height: 80px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._thumb_05.setAttribute('style',hs);
		this._thumb_05__img=document.createElement('img');
		this._thumb_05__img.setAttribute('src',basePath + 'images/thumb_05.png');
		this._thumb_05__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._thumb_05__img);
		this._thumb_05.appendChild(this._thumb_05__img);
		this._thumbnails.appendChild(this._thumb_05);
		this._container_thumbnails.appendChild(this._thumbnails);
		this._nav_map.appendChild(this._container_thumbnails);
		this._text_270=document.createElement('div');
		this._text_270.ggId='Text 27'
		this._text_270.ggParameter={ rx:0,ry:0,a:0,sx:1.2,sy:1.2 };
		this._text_270.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 5px;';
		hs+='top:  91px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._text_270.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._text_270.setAttribute('style',hs);
		this._text_270.innerHTML="Preview";
		this._nav_map.appendChild(this._text_270);
		this._text_27=document.createElement('div');
		this._text_27.ggId='Text 27'
		this._text_27.ggParameter={ rx:0,ry:0,a:0,sx:1.2,sy:1.2 };
		this._text_27.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 4px;';
		hs+='top:  90px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._text_27.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._text_27.setAttribute('style',hs);
		this._text_27.innerHTML="Preview";
		this._nav_map.appendChild(this._text_27);
		this.divSkin.appendChild(this._nav_map);
		this._loading=document.createElement('div');
		this._loading.ggId='loading'
		this._loading.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading.ggVisible=true;
		this._loading.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-105 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-30 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -105px;';
		hs+='top:  -30px;';
		hs+='width: 210px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._loading.setAttribute('style',hs);
		this._loading.onclick=function () {
			me._loading.style[domTransition]='none';
			me._loading.style.visibility='hidden';
			me._loading.ggVisible=false;
		}
		this._loadingbg=document.createElement('div');
		this._loadingbg.ggId='loadingbg'
		this._loadingbg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loadingbg.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 210px;';
		hs+='height: 60px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0.5;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='background-color: #000000;';
		this._loadingbg.setAttribute('style',hs);
		this._loading.appendChild(this._loadingbg);
		this._loadingbrd=document.createElement('div');
		this._loadingbrd.ggId='loadingbrd'
		this._loadingbrd.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loadingbrd.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 208px;';
		hs+='height: 58px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0.5;';
		hs+='visibility: inherit;';
		hs+='border: 2px solid #ffffff;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		this._loadingbrd.setAttribute('style',hs);
		this._loading.appendChild(this._loadingbrd);
		this._loadingtext=document.createElement('div');
		this._loadingtext.ggId='loadingtext'
		this._loadingtext.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loadingtext.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  12px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;'
		hs+='overflow: hidden;';
		this._loadingtext.setAttribute('style',hs);
		this._loadingtext.ggUpdateText=function() {
			this.innerHTML="Loading... "+(me.player.getPercentLoaded()*100.0).toFixed(0)+"%";
		}
		this._loadingtext.ggUpdateText();
		this._loading.appendChild(this._loadingtext);
		this._loadingbar=document.createElement('div');
		this._loadingbar.ggId='loadingbar'
		this._loadingbar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loadingbar.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 15px;';
		hs+='top:  35px;';
		hs+='width: 181px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #808080;';
		hs+='border-radius: 5px;';
		hs+=cssPrefix + 'border-radius: 5px;';
		hs+='background-color: #ffffff;';
		this._loadingbar.setAttribute('style',hs);
		this._loading.appendChild(this._loadingbar);
		this.divSkin.appendChild(this._loading);
		me._mhs_loc.style[domTransition]='none';
		me._mhs_loc.ggParameter.rx=75;me._mhs_loc.ggParameter.ry=258;
		me._mhs_loc.style[domTransform]=parameterToTransform(me._mhs_loc.ggParameter);
		me._compass.style[domTransition]='none';
		me._compass.ggParameter.a="42.2";
		me._compass.style[domTransform]=parameterToTransform(me._compass.ggParameter);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._loading.style[domTransition]='none';
			me._loading.style.visibility='hidden';
			me._loading.ggVisible=false;
		}
		this.divSkin.ggReLoaded=function() {
			me._loading.style[domTransition]='none';
			me._loading.style.visibility='inherit';
			me._loading.ggVisible=true;
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
		if (id=='Park_01') {
			me._mhs_01.onclick();
		}
		if (id=='Park_02') {
			me._mhs_02.onclick();
		}
		if (id=='Park_03') {
			me._mhs_03.onclick();
		}
		if (id=='Park_04') {
			me._mhs_04.onclick();
		}
		if (id=='Park_05') {
			me._mhs_05.onclick();
		}
	}
	this.hotspotProxyOver=function(id) {
		if (id=='Park_01') {
			me._mhs_01.onmouseover();
		}
		if (id=='Park_02') {
			me._mhs_02.onmouseover();
		}
		if (id=='Park_03') {
			me._mhs_03.onmouseover();
		}
		if (id=='Park_04') {
			me._mhs_04.onmouseover();
		}
		if (id=='Park_05') {
			me._mhs_05.onmouseover();
		}
	}
	this.hotspotProxyOut=function(id) {
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		if (me.elementMouseDown['button_zoom_in']) {
			me.player.changeFovLog(-0.4,true);
		}
		if (me.elementMouseDown['button_zoom_out']) {
			me.player.changeFovLog(0.4,true);
		}
		var hs='';
		if (me._compass.ggParameter) {
			hs+=parameterToTransform(me._compass.ggParameter) + ' ';
		}
		hs+='rotate(' + (-1.0*(1 * me.player.getPanN() + 0)) + 'deg) ';
		me._compass.style[domTransform]=hs;
		this._loadingtext.ggUpdateText();
		var hs='';
		if (me._loadingbar.ggParameter) {
			hs+=parameterToTransform(me._loadingbar.ggParameter) + ' ';
		}
		hs+='scale(' + (1 * me.player.getPercentLoaded() + 0) + ',1.0) ';
		me._loadingbar.style[domTransform]=hs;
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			var r=new Array();
			var stack=new Array();
			var pat=new RegExp(id,'');
			stack.push(me.__div);
			while(stack.length>0) {
				e=stack.pop();
				if (regex) {
					if (pat.test(e.ggId)) r.push(e);
				} else {
					if (e.ggId==id) r.push(e);
				}
				if (e.hasChildNodes()) {
					for(i=0;i<e.childNodes.length;i++) {
						stack.push(e.childNodes[i]);
					}
				}
			}
			return r;
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId='hs'
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: 469px;';
			hs+='top:  276px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.player.openUrl(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._hs_image=document.createElement('div');
			this._hs_image.ggId='hs_image'
			this._hs_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hs_image.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: -15px;';
			hs+='top:  -16px;';
			hs+='width: 32px;';
			hs+='height: 32px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._hs_image.setAttribute('style',hs);
			this._hs_image__img=document.createElement('img');
			this._hs_image__img.setAttribute('src',basePath + 'images/hs_image.png');
			this._hs_image__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 32px;height: 32px;');
			this._hs_image.appendChild(this._hs_image__img);
			this.__div.appendChild(this._hs_image);
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};